Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 156206 - Scanning in progress hangs during java editing
Scanning in progress hangs during java editing
Status: RESOLVED INVALID
Product: java
Classification: Unclassified
Component: Editor
6.x
All All
: P3 (vote)
: 6.x
Assigned To: Max Sauer
issues@java
:
Depends on: 161367
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-31 21:31 UTC by kidvid
Modified: 2009-09-17 14:45 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
Jstack trace (49.49 KB, text/plain)
2008-12-31 21:32 UTC, kidvid
Details
thread dump while locked up. (15.84 KB, text/plain)
2009-04-23 22:59 UTC, nleck
Details

Note You need to log in before you can comment on or make changes to this bug.
Description kidvid 2008-12-31 21:31:14 UTC
I have an open java file and I type "EntityManager" and then hit period.

The "Scanning in progress..." message appears but never comes back.  

Attached is a thread list.
Comment 1 kidvid 2008-12-31 21:32:04 UTC
Created attachment 75387 [details]
Jstack trace
Comment 2 Max Sauer 2009-02-11 15:48:39 UTC
Is this reproducible? Could you please provide a scenerio and attach a sample project? Thank you very much.
Comment 3 kidvid 2009-02-12 03:21:17 UTC
This is a very intermittent problem.  I don't know of a way to reproduce it on command.
Comment 4 nleck 2009-04-23 22:59:13 UTC
Created attachment 80805 [details]
thread dump while locked up.
Comment 5 nleck 2009-04-23 23:00:38 UTC
When the lock up occurs I need to kill the IDE and lose my changes. 

Comment 6 Jiri Prox 2009-08-25 17:03:37 UTC
Is this issue still valid in 6.7 or 6.8m1?

Comment 7 Peter Pis 2009-09-17 13:53:48 UTC
Without requested information for long time - INVALID. We can't do anything in this case. Reporter, please add requested
information and reopen issue. Thanks in advance.
Comment 8 kidvid 2009-09-17 14:45:17 UTC
This issue is directly related to the follow two issues:

http://www.netbeans.org/issues/show_bug.cgi?id=161367

http://www.netbeans.org/issues/show_bug.cgi?id=166714


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo